Page MenuHomeFreeBSD

update graphics/darktable to 2.2.1
ClosedPublic

Authored by mandree on Dec 30 2016, 12:23 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mandree updated this revision to Diff 23447.Dec 30 2016, 12:23 PM
mandree retitled this revision from to update graphics/darktable to 2.2.0.
mandree updated this object.
mandree edited the test plan for this revision. (Show Details)
mandree added a reviewer: dumbbell.
mandree set the repository for this revision to rP FreeBSD ports repository.
mandree updated this revision to Diff 23463.Dec 30 2016, 3:54 PM

a few cleanups after Roman Lebedev's review

mandree updated this revision to Diff 23468.Dec 30 2016, 4:31 PM

[v2: cleanups after Roman Lebedev's review]

v3, further cleanups after Roman's review, doing away with one more patch file and a post-build.

mandree updated this revision to Diff 23598.Jan 4 2017, 3:02 PM
mandree retitled this revision from update graphics/darktable to 2.2.0 to update graphics/darktable to 2.2.1.

update version and distinfo for upstream release 2.2.1.

we might want to reconsider openmp on FreeBSD 11, which already has clang 3.8 in the base system, and there's a separate devel/openmp port (but while porting graphics/rawtherapee-devel, I figured that the LIB_DEPENDS needs to look differently, with libomp.so.0, so that the configure stuff doesn't pick up LLVM3.7's libomp in that case)

About Clang, I'm generally in favor of using a compiler from the Ports as the one in base is too different from a vanilla one. Mesa already depends on Clang from the Ports because the one in base lacks the bits to compile it. Thus any FreeBSD desktop will already have Clang from Ports pulled in by Mesa.

I also prefer if the Makefile remains the same for all versions of FreeBSD when possible.

mandree updated this revision to Diff 23610.Jan 4 2017, 10:20 PM

prior, but unmentioned in the first 2.2.1 patch: fix typoes in Makefile, explicitely -> explicitly

v5: reinstate the parts that remove -ffast-math -fno-finite-math-only from the build flags, to fix crashes on 12-CURRENT as of Mid November 2016.

mandree added inline comments.Jan 4 2017, 10:24 PM
files/patch-src_CMakeLists.txt
8 ↗(On Diff #23610)

This is needed for compilation on systems (and outside jails/chroots) that have both the older OpenJPEG 1.5 as well as the newer 2.1 installed - the former installs into ${LOCALBASE}/lib and would shadow 2.1, leading to compilation failures.

Thanks!

I will test this latest patch during the day and report back.

To be exact, the crash related to -ffast-math -fno-finite-math-only happens on FreeBSD 11.0-RELEASE too and probably all versions because it seems to be related to the compiler, not the system.

Someone else also submitted a patch through Bugzilla:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215687

I pointed him to this review and encouraged him to test your patch.

When committing this patch, please mention that bug report.

dumbbell accepted this revision.Jan 5 2017, 10:12 AM
dumbbell edited edge metadata.

It works fine!

This revision is now accepted and ready to land.Jan 5 2017, 10:12 AM
This revision was automatically updated to reflect the committed changes.